Package twisted :: Package coil :: Module web :: Class ImmutableCollectionForm

[show private | hide private]
[frames | no frames]

## Class ImmutableCollectionForm

    Widget --+
             |
          Form --+
                 |
                ImmutableCollectionForm

A collection of immutable objects such as strings or integers.

Method Summary
| `__init__(self, appcpage, coll, linkfrom)`
| ``display`(self, request)` Display the form. (inherited from `Form`)
| ``format`(self, form, write, request)` I display an HTML FORM according to the result of self.getFormFields. (inherited from `Form`)
| ``formatError`(self, error)` Format an error message. (inherited from `Form`)
| `getFormFields(self, request)`
| ``getFormID`(self)` Override me: I disambiguate between multiple forms of the same type. (inherited from `Form`)
| `getTitle(self, request)` (inherited from `Widget`)
| `process(self, write, request, submit, name, value, **newitems)`
| `shouldProcess(self, request)` (inherited from `Form`)
| ``tryAgain`(self, err, req)` Utility method for re-drawing the form with an error message. (inherited from `Form`)

Class Variable Summary
`dictionary` | `typeMap`

Class Variable Details

### typeMap

  Type:
    `dictionary`
  Value:

        {<type 'int'>: 'integer', <type 'string'>: 'string', <type 'float'>: '\
        float'}

Generated by Epydoc 1.1 on Sat Feb 15 21:17:47 2003 | http://epydoc.sf.net